
public class Node <T> implements Comparable<T>{
	T data;
	Node<T> right;
	Node<T> left;
	
	public Node(T data) {
		this.data = data;
	}

	@Override
	public int compareTo(T data) {
		return this.data.toString().compareTo(data.toString());
	}

	@Override
	public String toString() {
		return "Node [data=" + data + "]";
	}
	
	

}
